## Method com.sap.dbtech.powertoys.Loader.cmd

### Use

To execute Loader commands and SQL statements, use the com.sap.dbtech.powertoys.Loader.cmd method.

### Prerequisites

● You have connected to the Loader, see Method com.sap.dbtech.powertoys.Loader.dbLoader.

● There are additional prerequisites for some Loader commands and SQL commands. You can find more information under Loader, Commands and SQL Statements.

### Features

public String cmd(String loader_command)

throws

com.sap.dbtech.rte.comm.RTEException,

com.sap.dbtech.powertoys.LoaderException

Parameters

Name | Description
loader_command | Loader command or SQL statement

Return Value

The return code of the method contains the return code of the Loader command or SQL statement.

Exceptions

Class | Description
com.sap.dbtech.rte.comm.RTEException com.sap.dbtech.powertoys.LoaderException | See Troubleshooting (Loader)

See also:

Example: Exporting a Table

Loader Java Classes